LabVIEW: error building Installer 2011SP1: LabVIEW Run-Time Engine 2013 missing 3 dependencies?

I'm having a problem of construction of an installer in 2011SP1 of LabVIEW.

It has been a while since I tried to build an installer but it used to work properly and building executables still works fine.

Now when I try to compile the installer, I get "generation failed."

The possible reasons: error generating preview for my 3.1.7 Application.

Details:

Visit the Request Support page at ni.com/ask to learn more about resolving this problem. Use the following information as a reference:

CDK_Build_Invoke.vi.ProxyCaller >> CDK_Build_Invoke.vi >> CDK_Engine_Main.vi >> IB_MSI.lvclass:Build.vi >> IB_MSI.lvclass:Engine_InitializeDistribution.vi >> IB_MSI.lvclass:Report_Preview_Error.vi >> IB_Source_Container.lvclass:Report_Preview_Error.vi

Loading product deployment information*** WARNING ***NI LabVIEW Run-Time Engine 2013 is missing 3 dependencies. This product, or other products that depend upon NI LabVIEW Run-Time Engine 2013, may not function properly while the dependencies are missing.  Visit ni.com/info and enter the Info Code "" for more information.

***************** Error: An internal error occurred for which the cause is unknown. (Error code -41)***************** Error Details:Error in MDF API function: _MDFCommon_GetNextLogMessageError in MDF::GetInstance - MDF static instance is not initialized!*** End Error Report**************

Loading product deployment information*** WARNING ***NI LabVIEW Run-Time Engine 2013 is missing 3 dependencies. This product, or other products that depend upon NI LabVIEW Run-Time Engine 2013, may not function properly while the dependencies are missing.  Visit ni.com/info and enter the Info Code "" for more information.

The really strange thing is that I'm using LabVIEW 2011SP1, I don't even have installed LabVIEW 2013, not even the runtime.

Where is the problem? Why is he still complain about LabVIEW 2013? Anyone seen this before?

Advertisement

Troy,

This behavior makes me assume that you updated certain components from the past. There are drivers of OR who use LV components (e.g., AFAIK the DAQmx of Test panels).

Update you things? If Yes, why don't you LV 2013 RTE installed as it would be necessary for full functionality of the driver?

Norbert

Tags: NI Software

Similar Questions

Maybe you are looking for